/***********************************************************************

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
USA.

***********************************************************************/

/**
 * VictoryPointEventHandler.java
 *
 *
 * Created: Fri Jun 28 11:34:07 2002
 *
 * @author <a href="mailto:Hans.Sandstrom@fhs.mil.se">Hans Sandstrm</a>
 * @version 1.0
 */

package gecco.game.dke;

import gecco.server.core.*;

public class GameEventPointEventHandler extends EventHandler {

    public GameEventPointEventHandler (){
    }
    
    public void handleEvent(UnitEvent event, Unit unit){
	if (event.getName().equals(Def.getLastVisitorChangedString())) {
	    GameEventPoint gep = (GameEventPoint) unit;
	    gep.automatonLastVisitorChanged(event.getFactor());
	}
    }

}// VictoryPointEventHandler
